Bug 86664 - Metadata is not imported from VSDX files
Summary: Metadata is not imported from VSDX files
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta2
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-24 15:08 UTC by Miklos Vajna
Modified: 2014-12-02 18:13 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Reproducer document (21.81 KB, application/zip)
2014-11-24 15:08 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2014-11-24 15:08:18 UTC
Created attachment 109947 [details]
Reproducer document

It seems libodfgen / librevenge has support for metadata, so not reading the docProps/core.xml of .vsdx files (title, creation, modification date for a start) is libvisio's fault.
Comment 1 Miklos Vajna 2014-11-25 11:15:23 UTC
fb43d79e12ce132fc127cc0481ff5a6bdbcd1afe in libodfgen.git and 2060d364bc0f7df97b864bf01fc5a27da12061c3 / 04735e030c94941e956423e73214ac04243bcefa in libvisio.git fixes this.
Comment 2 Commit Notification 2014-11-25 11:56:03 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=411bd6e440266a0db95907ad73a3a5be92bd1827

fdo#86664 VSDX import: handle metadata

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-12-01 08:47:43 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6402ac2d24f4d73576f50259230739a90cd3f3c9&h=libreoffice-4-4

fdo#86664 VSDX import: handle metadata

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-12-02 17:01:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b61cf4a70b9c3023d035a1b0f7cc1488dd55e22

fdo#86664 VSD import: handle metadata

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-02 18:13:32 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d863d458dbf0ba581f550b2e82788878c1e5b31&h=libreoffice-4-4

fdo#86664 VSD import: handle metadata

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.